body, html {
    background-color: black;
    margin: 0;
    font-family: "Merriweather", serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: white;
}

h1, h2, h3 {
    margin: 0;
}

a {
    color: white;
    text-decoration: none;
}

a:hover {
    color: red;
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}

.btn {
    margin: 0;
    text-align: center;
    padding: 10px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: white;
    color: red;
}

.btn-header {
    margin: 0;
    text-align: center;
    padding: 1px 50px;
    background-color: red;
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 0.3s;
}

.btn-header:hover {
    background-color: white;
    color: red;
}

.nav-menu ul {
    display: flex;
    gap: 10px;
    list-style-type: none;
    padding: 5px;
    margin: 0;
}

.nav-menu li {
    text-align: center;
    padding: 5px 0px;
}

.nav-menu ul li a {
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}

.nav-menu ul li a:hover {
    border-bottom: 2px red solid;
    color: red;
}

.header-icons {
    display: flex;
    gap: 10px;
}

.insta-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.insta-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.insta-icon:hover .icon-blue {
    opacity: 1;
}

.insta-icon:hover .icon-white {
    opacity: 0;
}

.viber-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.viber-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.viber-icon:hover .icon-blue {
    opacity: 1;
}

.viber-icon:hover .icon-white {
    opacity: 0;
}

.telegram-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.telegram-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}
  
.icon-blue {
    opacity: 0;
}

.icon-green {
    opacity: 0;
}

.telegram-icon:hover .icon-blue {
    opacity: 1;
}

.telegram-icon:hover .icon-white {
    opacity: 0;
}

.whatsup-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.whatsup-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.whatsup-icon:hover .icon-green {
    opacity: 1;
}

.phone-icon {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 32px;
}
  
.phone-icon .icon {
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.3s ease;
}

.phone-icon:hover .icon-blue {
    opacity: 1;
}

.phone-icon:hover .icon-white {
    opacity: 0;
}

/* Бургер кнопка */
.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
    z-index: 10;
}
  
.burger span {
    width: 25px;
    height: 3px;
    background: white;
    transition: 0.3s;
}

.close-btn {
    display: none;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 2rem;
    color: white;
    cursor: pointer;
    z-index: 30;
}

/* About */

.about {
    display: flex;
    justify-content: space-between;
    background-color: rgb(25,25,30);
}

.text-block h2 {
    padding: 20px 0px;
    font-size: 48px;
}
 
.text-block h3 {
    color: #46B475;
}

.text-block {
    padding-left: 50px;
}

.text-block p {
    width: 700px;
}

/* Contacts Block */

.contacts {
    display: flex;
    flex-direction: column;
    background-color: rgb(25,25,30);
    text-align: center;
    justify-content: center;
    padding: 30px;
}

.contacts h1 {
    font-size: 48px;
    font-weight: bold;
}

.contacts p {
    font-size: 21px;
}

.icons {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

.icons img {
    transition: transform 0.3s ease; /* плавная анимация */
}

.icons img:hover {
    transform: scale(1.2); /* увеличивает иконку на 20% */
}

/* Hero Block */

.hero h2 {
    font-size: 48px;
    text-align: center;
    padding: 50px 0px;
    letter-spacing: 5px;
}

.masters-card {
    display: flex;
    justify-content: center;
    gap: 100px;
    text-align: center;
}

.masters-card h3 {
    margin: 20px 0px;
    letter-spacing: 2px;
}

.masters-card p {
    letter-spacing: 2px;
}

.price {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.price h2 {
    font-size: 48px;
    text-align: center;
    padding: 50px 0px;
    letter-spacing: 5px;
}

.price-item {
    display: flex;
    justify-content: space-between;
    gap: 100px;
    margin: 20px 0px;
    border-bottom: 1px white solid;
    font-size: 21px;
}

.price-cost {
    display: flex;
    align-items: end;
}

.btn-red {
    display: inline-block;
    background-color: red;
    color: white;
    padding: 10px 120px;
    text-decoration: none;
    font-weight: bold;
    font-size: 16px;
    border-radius: 4px;
    transition: 0.3s;
}
  
.btn-red:hover {
    background-color: white;
    color: red;
}

/* Work Block */

.work {
    margin: 50px 0px;
}

.work h2 {
    text-align: center;
    margin: 10px 0px;
    font-size: 48px;
    letter-spacing: 3px;
}

.foto-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
    padding: 50px 200px;
}


.foto-grid img {
    width: 200px;
    height: 250px;
    cursor: pointer;
    transition: 0.3s ease;
    border: 2px solid transparent;
}

.foto-grid img:hover {
    border: 1px red solid;
}

/* Модалка */
.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.9);
    justify-content: center;
    align-items: center;
}

.modal-content {
    max-width: 90%;
    max-height: 90%;
    border: 3px solid red;
    box-shadow: 0 0 20px red;
}
  
.close {
    position: absolute;
    top: 30px;
    right: 50px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}

/* Map Block*/

.map {
    width: 100%;
    position: relative;
    overflow: hidden;
    padding: 30px 0px;
}

.map iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Footer */

.footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}

.footer p {
    margin: 10px;
}

/* Adaptive */

@media (max-width: 1024px) {
    .header {
        flex-wrap: wrap;
    }

    .btn-header {
        display: none;
    }

    .logo {
        width: 50px;
    }

    .burger {
        display: flex;
    }

    .close-btn {
        display: flex;
    }

    .nav-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background: #111;
        display: flex;
        align-items: center;
        justify-content: center;
        transform: translateY(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 15;
    }

    .nav-menu.active {
        align-items: center;
        transform: translateY(0);
    }

    .nav-menu ul li a {
        font-size: 32px;
    }

    .nav-menu ul {
        gap: 60px;
    }

    .nav__list {
        list-style: none;
        text-align: center;
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    .btn {
        padding: 5px 25px;
    }

    .hero h2 {
        font-size: 24px;
    }

    .about {
        padding: 0;
        flex-wrap: wrap;
        justify-content: center;
        text-align: center;
    }

    .text-block {
        padding-left: 0;
        width: 300px;
    }

    .text-block p {
        width: 300px;
    }

    .salon-photo img {
        width: 90%;
    }

    .contacts p {
        font-size: 18px;
    }

    .btn-red {
        padding: 10px 105px;
    }

    .masters-card {
        flex-wrap: wrap;
    }

    .masters-card h3 {
        font-size: 24px;
    }

    .masters-card p {
        font-size: 18px;
    }

    .price-info {
        width: 150px;
    }

    .price-text {
        padding: 10px;
    }

    .price-cost {
        font-size: 12px;
    }

    .price-item {
        font-size: 14px;
        width: 100%;
    }

    .best-work h2 {
        font-size: 24px;
    }

    .best-work p {
        width: 100%;
        font-size: 14px;
    }

    .foto-grid {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 10px;
        padding: 0;
    }

    .foto-grid img {
        width: 155px;
        height: 175px;
    }

    .close {
        top: 10px;
        right: 15px;
    }

    .video-container {
        width: 90%;
    }
}